## org.flexdock.docking
Class DockableFactory.Stub

    java.lang.Object
      org.flexdock.docking.DockableFactory.Stub

All Implemented Interfaces:
  DockableFactory

Enclosing interface:
  DockableFactory

    public static class DockableFactory.Stub

extends java.lang.Object
implements DockableFactory

An empty implementation of `DockableFactory`.

Nested Class Summary

Nested classes/interfaces inherited from interface org.flexdock.docking.DockableFactory
`DockableFactory.Stub`

Constructor Summary
`DockableFactory.Stub()`

Method Summary
`Dockable` `getDockable(java.lang.String dockableId)` Returns a `Dockable` for the specified Dockable ID, possibly creating and registering it in the process.
`java.awt.Component` `getDockableComponent(java.lang.String dockableId)` Returns a `Component` for the specified Dockable ID, possibly creating and registering a `Dockable` in the process.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DockableFactory.Stub

    public DockableFactory.Stub()

Method Detail

### getDockable

    public Dockable getDockable(java.lang.String dockableId)

  Returns a `Dockable` for the specified Dockable ID, possibly creating and registering it in the process.

  Specified by:
    `getDockable` in interface `DockableFactory`
  Parameters:
    `dockableId` - the ID for the requested `Dockable`
  Returns:
    `null`.

### getDockableComponent

    public java.awt.Component getDockableComponent(java.lang.String dockableId)

  Returns a `Component` for the specified Dockable ID, possibly creating and registering a `Dockable` in the process.

  Specified by:
    `getDockableComponent` in interface `DockableFactory`
  Parameters:
    `dockableId` - the ID for the requested dockable `Component`
  Returns:
    `null`.